summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Popov <pinkbyte@gentoo.org>2015-11-18 09:34:34 +0300
committerSergey Popov <pinkbyte@gentoo.org>2015-11-18 09:36:54 +0300
commit9d8806b7d22b5055ff079cdf2ac25fc1a778dd8a (patch)
tree32f67a408941b2ffc2ef4611dbe128010dc728c6 /app-officeext
parentdev-ruby/hiera: add 3.0.5 (diff)
downloadgentoo-9d8806b7d22b5055ff079cdf2ac25fc1a778dd8a.tar.gz
gentoo-9d8806b7d22b5055ff079cdf2ac25fc1a778dd8a.tar.bz2
gentoo-9d8806b7d22b5055ff079cdf2ac25fc1a778dd8a.zip
app-officeext/ooofbtools: version bump
Reported-by: Sergey Starikoff <Ikonta@yandex.ru> Gentoo-Bug: 565440 Package-Manager: portage-2.2.23
Diffstat (limited to 'app-officeext')
-rw-r--r--app-officeext/ooofbtools/Manifest1
-rw-r--r--app-officeext/ooofbtools/ooofbtools-2.39.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/app-officeext/ooofbtools/Manifest b/app-officeext/ooofbtools/Manifest
index 58f667aae33..359d78cd016 100644
--- a/app-officeext/ooofbtools/Manifest
+++ b/app-officeext/ooofbtools/Manifest
@@ -1,2 +1,3 @@
DIST OOoFBTools-2.36.zip 4806554 SHA256 76971acfb0ce3a618925bc5d38910c631f1267419c283cd4153f355a1ad59aa8 SHA512 16bf990c177a600ca40d27d6c7df71d12078d3850c032ecde131e378da9791b8d0619223cae4ac4f0e3ce717c6cbde0ad5f8d0f558f9e4d64b93b97adc6365ad WHIRLPOOL 2cf50d2c9e3d9f60307f95e9e4d0437308983d6042a07073a196ccc3cdacf0ebc346ffb57581e72dcf469b4a8d0f7f449414a303878f9d7af42cb42fba024bb1
DIST OOoFBTools-2.38.zip 4833754 SHA256 ee039cf7ae2767916cc79b25d5b852a54089773db458aa695b064e3d803da757 SHA512 2ff6bb251b5913cb7ceb430aba6ee47a5b2e2c7b78be8b291d67410903d3679ef8e01554f504cd86993fb717173d2a9c4080b5059f3e1064be075e67766c07d5 WHIRLPOOL 52fcd3bc82eab952080c6e1b18ed12b1568e4dd7299b55b2433efc8f5420f304ae32bbc3a9fe191c9a614f42aa5e04da976758cf9262e94adc238b887d6ecb9e
+DIST OOoFBTools-2.39.zip 4835702 SHA256 cff2a0ab17e4c77a7f3411007a5adf43144088e576f06ac49910419b2ca8e3c0 SHA512 95e66ba9f788902fa54e1c11d867c5e71b0280442fd5f1b75d1b524f24cf34fa2a270b68ebe30676fe5c4edb02033c7de59810ee96d4682bf68d231e8b277117 WHIRLPOOL 14d44d11806b3c717f1fa4e8d2d7fd319cd0fdbe2c2f5cbffdfbe5ef4fbe73e6fdea903a9e4428b3f02ef7b56d9f7b218ab830aecc5ae0f15a18b6898c0cec6c
diff --git a/app-officeext/ooofbtools/ooofbtools-2.39.ebuild b/app-officeext/ooofbtools/ooofbtools-2.39.ebuild
new file mode 100644
index 00000000000..df2851a3872
--- /dev/null
+++ b/app-officeext/ooofbtools/ooofbtools-2.39.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MY_PN="OOoFBTools"
+
+OFFICE_EXTENSIONS=(
+ "${MY_PN}.oxt"
+)
+
+inherit office-ext-r1
+
+DESCRIPTION="Extension for converting and processing eBooks in FictionBook2 format with validator"
+HOMEPAGE="https://sourceforge.net/projects/fbtools/"
+SRC_URI="mirror://sourceforge/fbtools/files/release/${MY_PN}-${PV}.zip"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-libs/libxml2"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+OFFICE_EXTENSIONS_LOCATION="${S}"
+
+src_prepare() {
+ # Remove Windows cruft
+ pushd "${WORKDIR}/${MY_PN}.oxt" 2>/dev/null || die
+ rm -r win32 || die
+ popd 2>/dev/null || die
+}
+
+src_install() {
+ office-ext-r1_src_install
+ dodoc ChangeLog*
+}